package com.centerm.smartpos.aidl.hsm;

interface AidlHsm{

	/** 打开  */
	void open();
	
	/** 关闭  */
	void close();
	
    /** 导出公钥  */
	byte[] loadObject(int HSMObjectType,in byte[] label,int dataType);
	
	/** 导入证书或者密钥对 */
	int saveObject(int HSMObjectType,in byte[] label,int dataType,in byte[] data);
	
	/** 删除证书或者密钥对 */
	void deleteObject(int HSMObjectType,in byte[] label);
	
	/** 删除全部证书或者密钥对 */
	void deleteAll();
	
	//删除证书
	boolean deleteCert(String alias);
	
	//删除公私钥对
	boolean deleteKeyPair(String aliasPrivateKey);
	
	//RSA解密
	byte[] rsaDecrypt(String aliasPrivateKey, in byte[] data);
	
	//RSA加密
	byte[] rsaEncrypt(String aliasPrivateKey, in byte[] data);
	
	//生成随机数
	byte[] getRandom(int length);
	
	//导入证书
	boolean injectCert(in byte[] certBuf, String alias, int dataFormat);
	
	//导出证书
	byte[] exportCert(String alias, int dataFormat);
	
	//生成证书
	byte[] generateCSR(String aliasPrivateKey, String commName);
	
	//导出自签发证书
	byte[] selfSign(String aliasPrivateKey, String commName);
	
	//生成公私钥对
	boolean generateKeyPair(String alias);
}