package com.centerm.smartpos.aidl.memcard;

interface AidlMem1608{
	
	/** 关闭 */
	boolean close();
	
	/** 打开 */
	boolean open();
	
	/**
	 * 读操作
	 * @param area ：区域，范围：0x00-0x08
	 * @param loc :地址
	 * @param len ： 长度
	 * @return
	 * @throws Exception
	 */
	byte[] read(byte area , byte loc , int len);
	
	/**
     * 读密码错误计数器
     * @param area ： 区域，区域范围：0x00-0x07
     * @param type :读写类型，0x00：写，0x01读
     * @return 
     * @throws Exception
     */
	byte[] readPswErrorCounter(byte area , byte type);
	
	/**
	 * 写操作
	 * @param area 区域 ，范围：0x00-0x08
	 * @param loc  地址
	 * @param data 数据
	 * @return
	 * @throws Exception
	 */
	boolean write(byte area , byte loc , in byte[] data);
	
	/** 复位 */
	boolean reset();
	
	/** 检测卡是否在位 */
	byte status();
	
	/**
     * 密码校验
     * @param area ：区域，区域范围：0x00-0x08
     * @param type ：读写类型，写：0x00 ， 读：0x01
     * @param psw
     * @return 密码校验结果
     * @throws Exception
     */
	boolean verifyPsw(byte area , byte type , in byte[] psw);
	
	/**读访问权限 */
	byte[] readAccessAuthority();
}