package com.centerm.smartpos.aidl.memcard;

interface AidlMem4428{
	
	/** 打开 */
	boolean open();
	
	/** 关闭 */
	boolean close();
	
	/** 检测卡是否在位 */
	byte status();
	
	/** 复位 */
	boolean reset();
	
	/**
     * 密码校验
     * @param psw 密码 ，2字节
     * @return 密码校验结果
     */
	boolean verifyPsw(in byte[] psw);
	
	/**
	 * 不带保护位读操作
	 * @param address：地址
	 * @param len：长度
	 * @return 读取的数据
	 */
	byte[] noProtectRead(int address , int len);
	
	/**
	 * 带保护位读操作
	 * @param address：地址
	 * @param len：长度
	 * @return 读取的数据
	 */
	byte[] protectRead(int address , int len);
	
	/**
	 * 不带保护位写操作
	 * @param address：地址
	 * @param data：写入的数据 
	 * @return 结果
	 */
	boolean noProtectWrite(int address , in byte[] data);
	
	/**
	 * 带保护位写操作
	 * @param address：地址
	 * @param data：写入的数据 
	 * @return 结果
	 */
	boolean protectWrite(int address , in byte[] data);
}