package com.centerm.smartpos.aidl.memcard;

interface AidlVerticalMemCard{
	/** 修改密码（仅支持V8） */
	boolean changePassword(in byte[] password);
	
	/** 关闭 */
	void close();
	
	/** 打开 */
	void open();
	
	/** 读操作 */
	byte[] read(byte address,byte len);
	
	/** 读取ATR */
	byte[] readAtrData();
	
	/** 写保护信息 */
	boolean writeProtectData(byte address,byte data);
	
	/** 读安全信息 */
	byte[] readSecurityData();
	
	/** 读取保护信息 */
	byte[] readProtectData();
	
	/** 复位 */
	boolean reset();
	
	/** 检测卡是否在位 */
	byte status();
	
	/** 校验 */
	boolean verify(byte ec,in byte[] psw);
	
	/** 写操作 */
	boolean write(byte address,byte data);
}