package com.centerm.smartpos.aidl.pboc;
import  com.centerm.smartpos.aidl.pboc.PBOCListener;
import  com.centerm.smartpos.aidl.pboc.AidlCheckCardListener;
import  com.centerm.smartpos.aidl.pboc.EmvTransData;
import  com.centerm.smartpos.aidl.pboc.DRLParam;

interface AidlEMVL2{
   /** 检卡 **/
   void checkCard(boolean supportMag,boolean supportIC,boolean supportRF,int timeout,AidlCheckCardListener listener);
   
   /** 停止检卡 **/
   void cancelCheckCard();
   
   /** PBOC流程处理 **/
   void processPBOC(in EmvTransData transData, PBOCListener listener);
   
   /** 结束PBOC流程 **/
   void endPBOC();
  
   /** 终止PBOC流程 **/
   void abortPBOC();
   
   /** 清除内核交易日志 **/
   boolean clearKernelICTransLog();
   
   /** 读取内核数据 **/
   int readKernelData(in byte[] taglist,out byte[] buffer);
   
   /** 设置TLV数据  **/
   void setTLV(int tag, in byte[] value);
   
   /** 解析TLV **/
   String parseTLV (String tag,String tlvlist);
   
   /** 导入金额 **/
   boolean importAmount(String amt);
   
   /** 导入应用选择结果 **/
   boolean importAidSelectRes(int index);
   
   /** 导入卡信息确认结果 **/
   boolean importConfirmCardInfoRes (boolean res);
   
   /** 导入PIN **/
   boolean importPin(String pin);
   
   /** 导入身份认证结果 **/
   boolean importUserAuthRes(boolean res); 
   
   /** 导入提示信息确认结果 **/
   boolean importMsgConfirmRes(boolean confirm);
   
   /** 导入电子现金提示信息确认结果 **/
   boolean importECashTipConfirmRes(boolean useEcash);
   
   /** 导入联机响应数据 **/
   void importOnlineResp(boolean onlineRes,String respCode,String icc55);
   
   /** 更新AID **/
   boolean updateAID(int optFlag,String aid);
   
   /** 更新公钥  **/
   boolean updateCAPK(int optFlag, String capk);
   
   /** 读取AID参数  **/
   byte[] aidParamRead(in byte[] data);
   
   /** 读取CA参数  **/
   byte[] caPublicKeyParamRead(in byte[] data);
   
	/** 设置参数（其他新增的实现） **/
   boolean setParameters(byte index,byte value);
   
   //start 外卡交易新增接口  2017/03/14 liqiaoli@centerm.com
   /**更新DRL参数**/ 
   boolean updateDRLParams(int opFlag,in DRLParam drl);
	
	/**读取DRL参数**/
   DRLParam drlParamRead(in byte[] data);
   //end 外卡交易新增接口  2017/03/16 liqiaoli@centerm.com
   
   //2017-05-04 wangwenxun@centerm.com
   /** 设置IC卡卡槽PBOC的选择性使用 **/
   boolean setICSlot(byte slotNum);
   
   //2017-11-03 huanglihui@centerm.com
   /** 导入发卡行语音结果 **/
   boolean resultOfIssuerVoiceReference(in byte[] data);
}