package com.centerm.smartpos.aidl.pboc;
import com.centerm.smartpos.aidl.pboc.CardInfoData;
import com.centerm.smartpos.aidl.pboc.CardTransLog;
import com.centerm.smartpos.aidl.pboc.CardLoadLog;

interface PBOCListener{
    /**请求输入金额*/
	void requestImportAmount(int type);	
	
	/**请求提示信息*/
	void requestTipsConfirm(String msg);	
	
	/**请求多应用选择*/
	void requestAidSelect(int times,in String[] aids);	
	
	/**请求确认是否使用电子现金*/
	void requestEcashTipsConfirm();	
	
	/**请求确认卡信息
	 *CardInfoData
	 *成员	属性	     说明
	 *cardno	String 	卡号
	 */
	void onConfirmCardInfo(in CardInfoData cardInfo);
		
	/**请求导入PIN*/
	void requestImportPin(int type,boolean lasttimeFlag,String amt);
	
	/**请求身份认证*/
	void requestUserAuth(int certype,String certnumber);
	
	/**请求联机*/
	void onRequestOnline();
		
	/**返回读取卡片脱机余额结果*/
	void onReadCardOffLineBalance(String moneyCode,String balance,String secondMoneyCode,String secondBalance);
		
	/**返回读取卡片交易日志结果*/
	void onReadCardTransLog(in CardTransLog[] log);	
	
	/**返回读取卡片圈存日志结果*/
	void onReadCardLoadLog(String atc,String checkCode,in CardLoadLog[] logs);
	
	/** 交易执行结果
	 *统一流程出口，替代原"执行成功"、"交易终止接口"	
	 *批准: 0x01
     *拒绝: 0x02
     *终止: 0x03
     *FALLBACK: 0x04
     *采用其他界面: 0x05
     *其他：0x06 
     */
	void onTransResult(byte result);
	
	/**出错*/
	void onError(int erroCode);	
}