package com.centerm.smartpos.aidl.printer;

import com.centerm.smartpos.aidl.printer.AidlPrinterStateChangeListener;
import com.centerm.smartpos.aidl.printer.PrintDataObject;
import com.centerm.smartpos.aidl.printer.PrinterParams;
import java.util.List;

interface AidlPrinter {
	//获取打印机状态
	int getPrinterState();
	//打印文本（异步）
	void printText(in List<PrintDataObject> list,AidlPrinterStateChangeListener listener);
	//打印条码(异步）
	void printBarCode(String str,AidlPrinterStateChangeListener listener);
	//打印位图（异步）
	void printBmp(int marginLeft,int width,int height,in Bitmap bmp,AidlPrinterStateChangeListener listener);
	//走纸
	void spitPaper(int distance);
	//设置打印机灰度
	void setPrinterGray(int grayLevel);
	//初始化打印参数
	void initPrinter();
	//位图快速打印（同步)
	int printBmpFastSync(in Bitmap bmp, int align);
	//打印文本（同步）
	int printTextSync(in List<PrintDataObject> list);
	//打印条码（同步）
	int printBarCodeSync(String str);
	//打印位图（同步）
	int printBmpSync(int marginLeft,int width,int height,in Bitmap bmp);
	
	void printQRCodeFast(String msg, int width, int align, AidlPrinterStateChangeListener listener); // 2017/03/07 09:11 位图快速打印同步 wengtao@centerm.com		
	
	boolean setPrintQueue(boolean isOpen);	// 设置打印队列是否打开，该设置只针对异步和走纸接口 wengtao@centerm.com 2017/03/24
	
	void printBmpFast(in Bitmap bmp, int align, AidlPrinterStateChangeListener listener);//异步快速打印接口，支持队列， wengtao@centerm.com 2017/03/28
	
	void printBarCodeFast(String msg, int align, AidlPrinterStateChangeListener listener); // 2017/04/21 18:47 一维码快速打印 wengtao@centerm.com
	
	void printBarCodeExtend(String msg, int codeType, int width, int height, int align, AidlPrinterStateChangeListener listener);// 2017/04/25 打印码信息拓展 wengtao@centerm.com
	
	int printTextEffect(in List<PrintDataObject> list); //节省K21的打印接口，对于第一行打印过的内容第二行若格式相同则不必再输入格式  wangwenxun@centerm.com 2017-10-15 
	
	int printTextAsImage(in List<PrintDataObject> list); //图文打印接口,将打不出来的文字用图片打印出来
	
	int printData(in List<PrinterParams> list);//整合文字、条码、走纸等为图片打印出来
}