package com.centerm.smartpos.aidl.rfcard;

interface AidlRFCard{
	 /**
	  * 打开设备
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:14:24
	  */
	 void open();
	 /**
	  * 关闭设备
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:14:36
	  */
	 void close();
	 /**
	  * 中断IC卡设备
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:14:41
	  */
	 byte[] halt();
	 /**
	  * 设置pwmbeep参数
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:15:04
	  */
	 void pwmbeep(in byte[] params);
	 /**
	  * 读取卡类型
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:15:22
	  */
	 int readCardType();
	 /**
	  * 复位非接卡
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:15:32
	  */
	 byte[] reset();
	 /**
	  * 发送APDU指令
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:15:49
	  */
	 byte[] send(in byte[] APDU);
	
	 /**
	  * 查询卡片状态
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:15:57
	  */
	 byte status();
	 //控制LED灯的闪烁
	 void setLed(byte color, int time, int interval);
	
	 /**
	  * 身份证模块发送APDU指令
	  * @param data ： 发送数据
	  * @return ：返回数据
	  */ 
	 byte[] operaIDCard(in byte[] APDU);
	 
	 /**
	  * 异步发送APDU指令
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-16 上午12:15:49
	  */
	 byte[] sendAsync(in byte[] APDU);
}