package com.centerm.smartpos.aidl.soundplayer;
import com.centerm.smartpos.aidl.soundplayer.AidlSoundStateChangeListener;
import com.centerm.smartpos.constant.MapBean;
/**
 * @author wengtao@centerm.com
 * @time 2017/02/28 14:01
 * @func 语音播放实现类
 */
interface AidlSoundPlayer{
   /**
	* @param  byte voiceType 传入播放声音的类型
	* @authro wengtao@centerm.com
	* @time 2017/02/28 14:01
	* @func 播放接口
    */
	void play(int voiceType);
    
    /**
    * @func 普通数据播报接口
    * @time 20170518 8:00
    * @author wangwenxun@centerm.com
    * @param String number 要朗读的数字
    * @param AidlSoundStateChangeListener listener 语音播报监听器
    */
    
    void commonSound(String number,AidlSoundStateChangeListener listener);
    
    /**
    * @func 智能数据播报接口
    * @time 20170518 8:00
    * @author wangwenxun@centerm.com
    * @param String number要朗读的数字
    * @param AidlSoundStateChangeListener listener 语音播报监听器
    */
    void intelligenceSound(String number,AidlSoundStateChangeListener listener);	

    /**
    * @func 设置朗读的参数
    * @number 每个字的阅读间隔时间，单位：毫秒
    * @author wangwenxun@centerm.com
    * @time 20170518
    */
    void readParam(in MapBean mapBean);
}