package com.centerm.smartpos.aidl.sys;
import com.centerm.smartpos.aidl.sys.TouchListener;
import com.centerm.smartpos.aidl.sys.IPackageUnInstallListener;
import com.centerm.smartpos.aidl.sys.IPackageInstallListener;
import com.centerm.smartpos.aidl.sys.ApnNode;
import com.centerm.smartpos.aidl.sys.ApnNodeNew;
interface AidlSystemSettingService{
	
	 /**
	  * 关闭外设使能
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:49:11
	  */
	 void closeHID();
	 /**
	  * 关闭WIFI，仅对支持WIFI的设备有效
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:49:40
	  */
	 void closeWifi();
	 /**
	  * 删除APN
	  * @param id APN编号
	  * @return true 删除成功 false 删除失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:50:07
	  */
	 boolean deleteApn(int id);  
	 /**
	  * 刷新文件缓冲区
	  * @return true 操作成功 false 操作失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:50:42
	  */
	 boolean flush();  
	 /**
	  * 获取当前基站信息
	  * @return 基站信息
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:51:07
	  */
	 java.lang.String getCurrBs();
	 /**
	  * 获取附近基站信息
	  * @return 附近基站信息
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:51:39
	  */
	 java.util.List<java.lang.String> getNeighborBsList();
	 /**
	  * 插入APN
	  * @param apnName APN名称
	  * @param apnUserName 用户名
	  * @param apnPassword APN密码
	  * @return true 操作成功 false 操作失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:51:53
	  */
	 boolean insertAPN(java.lang.String apnName, java.lang.String apnUserName, java.lang.String apnPassword);
	 /**
	  * 安装APK
	  * @param apkPath APK路径
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:52:30
	  */
	 boolean installApk(java.lang.String apkPath);
	 /**
	  * 安装APK (非界面)静默方式
	  * @param apkPath APK路径
	  * @param listener 监听回调
	  * @return true 安装成功 false 安装失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:53:09
	  */
	 void installApkBack(java.lang.String apkPath,IPackageInstallListener listener) ;
	 /**
	  * 挂载USB设备（需智能终端管家）
	  * @return true 挂载成功 false 挂载失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:54:29
	  */
	 boolean mount() ; 
	 /**
	  * 兼容无智能终端管家的挂载
	  * @param devID 
	  * @param mPoint 
	  * @return true 挂载成功 false 挂载失败
	  */
	 boolean mountUsb(java.lang.String devID,java.lang.String mPoint) ; 
	 /**
	  * 打开外设使能接口
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:55:05
	  */
	 void openHID() ; 
	 /**
	  * 打开WIFI，仅对支持WIFI设备有用
	  * 
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:55:22
	  */
	 void openWifi() ; 
	 /**
	  * 设置选中默认APN
	  * @param id 默认APNID
	  * @return
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:56:22
	  */
	 boolean setDefaultAPN(int id) ;
	 //更新系统时间
	 boolean setSystemTime(int second,int minute,int hour,int day,int month,int year);
	 /**
	  * 设置VPDN
	  * @param userName 用户名
	  * @param password 密码
	  * @return true 操作成功 false 操作失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:57:16
	  */
	 boolean setVPDN(java.lang.String userName, java.lang.String password) ;
	 /**
	  * 启动APP
	  * @param pkgName APP包名
	  * @return true 操作成功  false 操作失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:57:44
	  */
	 boolean startApp(java.lang.String pkgName);
	 /**
	  * 卸载USB存储
	  * @return true 操作成功 false 操作失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:58:14
	  */
	 boolean umount() ; 
	 /**
	  * 卸载APP
	  * @param pkgName APK包名
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:58:32
	  */
	 void uninstallApk(java.lang.String pkgName);
	 /**
	  * 静默卸载APP 
	  * @param pkgName  APK包名
	  * @return true 操作成功 false 操作失败
	  * @createtor：Administrator
	  * @date:2014-12-9 下午4:58:59
	  */
	 void uninstallApkBack(java.lang.String pkgName,IPackageUnInstallListener listener) ;
	 /**
	 * 获取当前IP地址，前提是终端须联网，失败则返回null
	 * @return 当前IP地址
	 * @createtor：Administrator
	 * @date:2014-12-9 下午5:00:12
	 */
	java.lang.String getLocalIpAddress();
	/**
	 * 获取设备的MAC地址
	 * @return 字符串形式返回设备MAC地址
	 * @createtor：Administrator
	 * @date:2014-12-9 下午5:00:44
	 */
	java.lang.String getLocalMacAddress();
	/**
	 * 获取当前设备的电话号码，需要插入SIM卡
	 * @return
	 * @createtor：Administrator
	 * @date:2014-12-9 下午5:01:03
	 */
	java.lang.String getIMEI();
	/**
	 * 获取IMSI号
	 * @return IMSI号
	 * @createtor：Administrator
	 * @date:2014-12-9 下午5:01:24
	 */
	java.lang.String getIMSI();
	/**
	 * 获取终端PSAM卡
	 * @return
	 * @createtor：Administrator
	 * @date:2014-12-9 下午5:01:41
	 */
	java.lang.String getPsamNo();
	/**
	 * 读取终端序列号
	 * @return 终端序列号
	 * @createtor：Administrator
	 * @date:2014-12-9 下午5:02:25
	 */
	java.lang.String readSerialNum(); 
	//重启终端
	void powerReboot();
	//关闭多点触控
	void openMultitouch();
	//开启多点触控
	void closeMultitouch();
	/** 注册监听触摸事件*/
	boolean registerTouchListener(TouchListener listener);
	/** 注销监听触摸事件*/
	void unregisterTouchListener(TouchListener listener);

    /** 获取当前SDK版本*/
    String getCurSdkVer();
    /**获取指定APN的ID*/
    int[] getAPNID(java.lang.String apnName);
    /**获取默认APN*/
    ApnNode getDefaultApn();
    /**控制指示灯*/
    void setLed(byte color, int time, int interval);
    
    /**
    *读取sn,psam,ksn等，只需传入索引，固定读取32字节，索引取值范围在0-5之间
    *prefix:需要读取的数据的前置，若没有传入null
    */
    java.lang.String readStorageLog(in int index,in String prefix);
    
    int writeStorageLog(in int index,in byte[] data);
    
    /**
	  * 插入APN
	  * @return true 操作成功 false 操作失败
	  * @createtor：Administrator
	  */
	 boolean insertCustomAPN(in ApnNode apnNode);
	  /**
	  * @传入特定密码来进行特殊权限控制
	  * @返回校验结果
	  * @data:2017-07-18
	  * @author:wangwenxun@centerm.com
	  */
	 boolean CheckCustomKey(String customkey,int item);
	 /**
	  * 插入APN
	  * @createtor：wengtao@centerm.com
	  */
	 int insertNewCustomAPN(in ApnNodeNew apnNode);
}